package com.ho.business.mapper;

import com.ho.business.entity.PlanningCurve;
import com.ho.business.entity.PlanningCurveTactics;

import java.util.List;

public interface PlanningCurveTacticsMapper {

    List<PlanningCurveTactics> getTacticsList(PlanningCurveTactics tactics);

    PlanningCurveTactics getTacticsDetails(PlanningCurveTactics tactics);

    List<PlanningCurve> getPlanningCurves(Integer temId);

    int add(PlanningCurveTactics tactics);

    int modify(PlanningCurveTactics tactics);

    int delete(PlanningCurveTactics tactics);

    List<PlanningCurveTactics> getPlanningCurveTemplates(PlanningCurveTactics tactics);

    List<PlanningCurveTactics> getTacticsByStationId(Integer stationId);
}
